{ config, lib, ... }:
{
  services.nginx.virtualHosts = lib.mkIf config.system.server.enable {
    "www.nixfox.ca" = {
      enableACME = true;
      addSSL = true;
      default = true;
      root = "/var/www/landing-page";
    };
    "nixfox.ca" = {
      enableACME = true;
      addSSL = true;
      globalRedirect = "www.nixfox.ca";
      locations = {
        "/.well-known/matrix/client".extraConfig = ''
          default_type application/json;
          return 200 '{
            "m.homeserver": { "base_url": "https://matrix.nixfox.ca" },
            "m.identity_server": { "base_url": "https://matrix.org" }
          }';
        '';
        "/.well-known/matrix/server".extraConfig = ''
          default_type application/json;
          return 200 '{ "m.server": "matrix.nixfox.ca:443" }';
        '';
      };
    };
  };
}
